Bug 128707 - cannot specify port in quota 3.0.9
cannot specify port in quota 3.0.9
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: quota (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-07-28 09:33 EDT by John Jasen
Modified: 2010-11-25 03:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-15 18:58:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Jasen 2004-07-28 09:33:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
We make extensive use of iptables in our RHE system installs. This
presents a problem with RPC based services. Some, such as NFS and
rpc.mountd have options to force it to bind to a specific port number
-- simplifying our firewalling.

The version of quota that ships with RHE (version 3.09) does not
support this feature. Versions 3.10 and above do.

Would it be possible to update quota to 3.10 or above, and break out
RPC_QUOTAD_PORT as an option in /etc/sysconfig/nfs for the
/etc/rc.d/init.d/nfs startup script to look for?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. quota on nfs mounted filesystem

Actual Results:  warthog> quota
quota: Error while getting quota from redhat-srvr2:/u1/jasen for 4049:
Connection refused
Disk quotas for user $USERNAME (uid $UID): none

Expected Results:  actual quota output.

Additional info:
Comment 1 Suzanne Hillman 2004-08-09 11:17:56 EDT
Interenal RFE bug #129470 entered; will be considered for future releases.
Comment 2 dff 2004-08-15 18:58:27 EDT
RHEL 4 will have quota 3.10+
Comment 3 David Grierson 2005-02-04 06:50:37 EST
RHEL 3 update 4 now has quota 3.10 but this functionality doesn't
work, however the functionality is listed in the documentation for

       rquotad, rpc.rquotad - remote quota server

       rpc.rquotad [ -sSFI ] [ -p port ]
       -p port, --port port
              Listen on alternate port port.

A modification of the /etc/init.d/nfs script to add an appropriate
option as suggested by the original poster doesn't work though:

*** /root/nfs   2005-02-04 11:47:51.000000000 +0000
--- nfs 2005-02-04 11:37:35.000000000 +0000
*************** case "$1" in
*** 59,66 ****

        if [ -n "$RQUOTAD" -a "$RQUOTAD" != "no" ]; then
            echo -n $"Starting NFS quotas: "
!           daemon rpc.rquotad
        echo -n $"Starting NFS daemon: "
--- 59,69 ----

        if [ -n "$RQUOTAD" -a "$RQUOTAD" != "no" ]; then
+           [ -n "$RQUOTAD_PORT" ] \
            echo -n $"Starting NFS quotas: "
!           daemon rpc.rquotad $RQUOTADOPTS
        echo -n $"Starting NFS daemon: "

This is a defect in RHEL 3 - to ask to upgrade to RHEL 4 (when it
comes out) to fix this is not a suitable fix.

For now we have to open up our firewalls to all ports between these
two hosts - making this a security issue for customers caused by lack
of functionality in a RH tool.
Comment 4 David Grierson 2005-02-04 11:09:37 EST
Changed this away from enhancement - to normal defect.

This is core functionality to the quota system which is listed as
supported in the documentation and thus should be supported.
Comment 5 Martin Cermak 2010-11-25 03:18:31 EST
Created a new test /CoreOS/quota/Regression/bz128707-cannot-specify-port-in-quota-3-0-9 because of the quota testplan review bz653907.

Note You need to log in before you can comment on or make changes to this bug.